Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.client.jsp.clienttaglib
Class DefaultTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.netuix.client.jsp.clienttaglib.BaseTag
                  |
                  +--com.bea.netuix.client.jsp.clienttaglib.DefaultTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class DefaultTag
extends BaseTag

Client-awareness content filtering tags.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.client.jsp.clienttaglib.BaseTag
`client, debug`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DefaultTag()`

Method Summary
`int` | `doStartTag()` Include the tag body if the client classification of the request is default.

Methods inherited from class com.bea.netuix.client.jsp.clienttaglib.BaseTag
`getClient, isDefault, isMatch, isRecognized, release, setClient`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTag

    public DefaultTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Include the tag body if the client classification of the request is default.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
    `JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved